/***************************************************************************
 *   Copyright (C) 2005 by Alexander Saal                                  *
 *   alex.saal@gmx.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef VSPROGEN_H
#define VSPROGEN_H


#include "ui_vsprogen.h"

#include <QtGui/QWidget>
#include <QtCore/QProcess>
#include <QtCore/QStringList>

class vsprogen : public QWidget
{
    Q_OBJECT

public:
    vsprogen(QWidget *parent = 0);
    ~vsprogen();

private:
    Ui::vsprogenClass ui;

private slots:
	void on_btnCreate_VSNet_clicked();
	void on_btnCreate_VS_clicked();
	void on_btnSave_VSNetFile_clicked();
	void on_btnSave_VSFile_clicked();
	void on_btnChoose_Qt4ProFile_clicked();
};

#endif // VSPROGEN_H
